/* Start Global */
header {
    margin-bottom: 40px;
}
.section {
    margin-bottom: 40px;
}
.single-container {
    max-width: 830px;
}
.single-comment__respond-outdated {
    text-align: center;
    color: #23266f;
    font-weight: 500;
}
.image-modal {
    opacity: 0;
    z-index: -10000;
    left: unset;
    right: unset;
    bottom: unset;
    top: -150vh;
    backdrop-filter: blur(0) brightness(1);
}
.image-modal.image-modal--active {
    position: fixed;
    opacity: 1;
    z-index: 100;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    padding: 0 30px;
    backdrop-filter: blur(2px) brightness(0.3);
    display: flex;
    justify-content: center;
    align-items: center;
    transition: opacity 0.6s ease-in-out, z-index 0.3s ease-in-out, backdrop-filter 0.6s ease-in-out;
}
.image-modal.image-modal--active .image-modal__img {
    max-height: 90%;
    margin: 0 auto;
    padding: 30px 0;
    min-width: 90vw;
    object-fit: contain;
}
.image-modal--close {
    position: absolute;
    top: 25px;
    right: 15px;
    color: #e1e4f6;
    line-height: 50px;
    font-size: 40px;
    cursor: pointer;
}
/* End Global */

/* Start of news section */
.single-content__title {
    font-size: 27px;
    line-height: 34px;
    margin-bottom: 20px;
}
.single-content__meta {
    display: flex;
    align-items: center;
    justify-content: flex-start;
    gap: 20px;
    margin-bottom: 15px;
}
.single-content__meta-item p {
    color: #23266F;
    font-size: 17px;
    line-height: 22px;
    font-weight: 300;
}
.section__post-views::before {
    background-size: contain;
}
.single-content__meta-comments.section__post-views::before {
    background-image: url('../images/icons/comments-icon.svg');
}
.single-content__image {
    margin: 0 auto 40px;
    max-width: 750px;
    width: 100%;
    height: 450px;
    object-fit: cover;
    cursor: pointer;
}
.single-content__expert {
    font-weight: 700;
    margin-bottom: 20px;
    text-align: justify;
}
.single-content__text p {
    text-align: justify;
    margin-bottom: 30px;
}
.single-content__text .single-content__text-p__video {
    text-align: center;
}
.single-content__text-p__images {
    display: flex;
    align-items: center;
    gap: 20px;
    overflow-x: scroll;
    padding-bottom: 40px;
    overflow-y: hidden;
}
.single-content__text-p__images-image {
    max-width: 375px;
}
.single-content__text-p__images-image,
.single-content__text-p__images-image-double {
    height: 250px;
    object-fit: cover;
    width: 100%;
    cursor: pointer;
}
.single-content__text-p__images-image-single {
    max-width: 700px;
    width: 100%;
    height: 450px;
    object-fit: cover;
    margin: 0 auto;
    cursor: pointer;
}
.single-content__text-p__images--double {
    display: flex;
    align-items: center;
    justify-content: space-between;
}
.single-content__text-p__images-image-double {
    max-width: 390px;
}
.single-content__text-p__images::-webkit-scrollbar-track {
    padding: 2px 0;
    background-color: #e1e4f6;
    border-radius: 50px;
}
.single-content__text-p__images::-webkit-scrollbar {
    width: 10px;
}
.single-content__text-p__images::-webkit-scrollbar-thumb {
    border-radius: 50px;
    background-color: #23266F;
    border: 1px solid #23266F;
}
/* End of news section */

/* Start of gallery section */
.single-gallery {
    background-color: #E1E4F5;
    padding: 20px 0 40px;
    margin-bottom: 0;
}
.single-gallery .gallery {
   display: grid;
    grid-template-columns: auto auto auto;
    gap: 10px;
}
.single-gallery .gallery-item img {
    max-width: 250px;
    width: 100%;
    height: 200px;
    object-fit: cover;
}
/* End of gallery section */

/* Start of post meta section */
.single-meta {
    padding: 40px 0 0;
}
.single-meta__links {
    margin-bottom: 40px;
}
.single-meta__links-wrapper {
    display: flex;
    justify-content: space-between;
}
.single-meta__links-socials .header-top__socials-item {
    width: unset;
}
.single-meta__links-socials .header-top__socials-link {
    padding-left: 50px;
}
.single-meta__links-socials .header-top__socials-item + .header-top__socials-item {
    margin-left: 0;
    margin-top: 15px;
}
.single-meta__links-socials .header-top__socials-link::before {
    top: 50%;
    transform: translateY(-50%);
    transition: transform 0.6s ease-in-out;
}
.single-meta__links-socials .header-top__socials-link:hover::before {
    transform: translateY(-50%) scale(1.1);
}
.single-meta__links-tags {
    display: flex;
    max-width: 350px;
    width: 100%;
    flex-wrap: wrap;
}
.single-meta__links-tag {
    text-transform: uppercase;
}
.single-meta__links-tag + .single-meta__links-tag {
    margin-left: 5px;
}
.single-meta__links-tag__name p {
    font-weight: 700;
    text-transform: uppercase;
}
.single-meta__nav {
    padding: 10px 0 20px;
    background-color: #E1E4F5;
}
.single-meta__nav-links {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 45px;
}
.single-meta__nav-link--next {
    text-align: right;
}
.single-meta__nav-link__title {
    display: block;
    pointer-events: none;
}
.single-meta__nav-link__title,
.comment-reply-title {
    color: #23266F;
    font-size: 20px;
    font-weight: 500;
    margin-bottom: 10px;
}
.single-meta__nav-link a {
    color: #23266F;
}
.single-meta__line {
    padding: 0 0 0;
    margin-bottom: 40px;
}
.single-meta__line-div {
    border-bottom: 1px solid rgba(35, 38, 111, 0.5);
}
/* End of post meta section */

/* Start of post comment section */
.single-comment__respond {
    background-color: #E1E4F5;
    padding: 20px 0;
}
.comment-reply-title {
    margin-bottom: 30px;
}
.comment-form {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 10px 20px;
}
.comment-form-comment {
    grid-column-start: 1;
    grid-column-end: 2;
    grid-row-start: 1;
    grid-row-end: 5;
}
.comment-form-comment #comment {
    max-width: 400px;
    width: 100%;
    min-height: 255px;
    padding: 20px;
    resize: none;
    border-radius: 10px;
}
.comment-form-comment #comment::-webkit-scrollbar-track {
    padding: 12px 0;
    background-color: #e1e4f6;
    border-radius: 50px;
}
.comment-form-comment #comment::-webkit-scrollbar {
    width: 10px;
    border-radius: 50px;
}
.comment-form-comment #comment::-webkit-scrollbar-thumb {
    border-radius: 50px;
    background-color: #23266F;
    border: 1px solid #23266F;
}
.comment-form-comment #comment::placeholder,
.comment-form input:not([type='checkbox'])::placeholder {
    font-weight: 300;
}
.comment-form-comment #comment:focus,
.comment-form input:not([type='checkbox']):focus {
    outline: 1px solid #23266F;
}
.comment-form label {
    display: block;
    font-size: 16px;
    font-weight: 500;
    color: #23266F;
    margin-bottom: 5px;
}
.comment-form-comment #comment,
.comment-form input:not([type='checkbox']) {
    display: inline-block;
    border: 1px solid #23266F;
    background-color: #ffffff;
    font-weight: 500;
    font-size: 18px;
    cursor: pointer;
    color: #23266f;
}
.comment-form input:not([type='checkbox']) {
    max-width: 375px;
    width: 100%;
    padding: 10px;
    border-radius: 10px;
}
.comment-form-cookies-consent {
    display: flex;
    align-items: center;
    gap: 0 10px;
}
.comment-form-cookies-consent label {
    font-size: 14px;
}
#wp-comment-cookies-consent {
    border-radius: 5px;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;
    border: 2px solid #23266F;
    min-width: 30px;
    height: 30px;
    cursor: pointer;
}
#wp-comment-cookies-consent:checked {
    background-color: #23266f;
}
#wp-comment-cookies-consent:checked::after {
    content: '\2714';
    color: #ffffff;
    display: block;
    text-align: center;
    line-height: 26px;
    font-size: 16px;
}
.form-submit {
    justify-self: center;
}
#submit {
    background: #23266f;
    color: #e1e5f5;
    max-width: unset;
    width: unset;
    padding: 9px 60px;
    border: 1px solid #23266f;
    transition: transform 0.6s ease-in-out, background 0.8s ease-in, color 0.8s ease-in;
}
#submit:hover {
    transform: scale(1.1);
    background: #e1e5f5;
    color: #23266f;
}
.single-comment__comments {
    padding-top: 100px;
}
.single-comment__comments-title {
    position: relative;
    color: #23266F;
    font-size: 20px;
    font-weight: 700;
    line-height: 1.5;
    margin-bottom: 30px;
}
.single-comment__comments-title::before {
    content: '';
    position: absolute;
    top: -60px;
    left: 0;
    right: 0;
    width: 100%;
    border-bottom: 1px solid rgba(35, 38, 111, 0.5);
}
.single-comment__comments-items {
    display: flex;
    gap: 30px;
    max-width: 1230px;
    width: 100%;
    margin: 0 auto 40px;
    flex-wrap: wrap;
}
.single-comment__comments-item {
    background-color: #E1E4F5;
    border-radius: 20px;
    padding: 20px 20px 35px 20px;
    max-width: 285px;
    width: 100%;
    position: relative;
    max-height: 283px;
    transition: all 0.6s ease-in-out;
}
.single-comment__comments-item * {
    color: #23266f;
}
.single-comment__comments-author {
    font-weight: 700;
    margin-bottom: 5px;
}
.single-comment__comments-date {
    font-size: 14px;
    margin-bottom: 15px;
}
.single-comment__comments-text {
    font-size: 16px;
    margin-bottom: 15px;
    height: 147px;
    -webkit-line-clamp: 7;
    overflow: hidden;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    text-overflow: ellipsis;
    transition: all 0.6s ease-in-out;
}
.single-comment__comments-btn.single-comment__comments-more {
    border: none;
    position: absolute;
    right: 20px;
    bottom: 30px;
    padding: 0 0 0 0;
    width: fit-content;
}
.single-comment__comments-btn.single-comment__comments-more:hover::before {
    filter: contrast(0.5);
}
.single-comment__comments-more {
    display: block;
    max-width: 600px;
    width: 100%;
    margin: 0 auto;
    text-align: center;
    border: 1px solid #23266f;
    padding: 10px;
    border-radius: 10px;
    color: #23266f;
    background-color: transparent;
    transition: transform 0.6s ease-in-out, background 0.8s ease-in, color 0.8s ease-in;
    position: relative;
}
.single-comment__comments-more::before {
    content: '';
    position: absolute;
    top: 50%;
    right: 25%;
    width: 27px;
    height: 11px;
    transform: translateY(-50%);
    background-image: url("../images/icons/arrow-down-main-news-blue.svg");
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    transition: background-image 0.8s ease-in-out;
}
.single-comment__comments-more:hover {
    transform: scale(1.1);
    background-color: #23266f;
    color: #E1E4F5;
}
.single-comment__comments-more:hover::before {
    background-image: url("../images/icons/arrow-down-main-news.svg");
}
.single-comment__popup {
    opacity: 0;
    z-index: -10000;
    position: fixed;
    backdrop-filter: blur(1px) brightness(0.5);
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    transition: opacity 0.4s ease-in-out;
}
.single-comment__popup-content {
    position: absolute;
    top: 40%;
    left: 50%;
    transform: translate(-50%);
    padding: 10vh 5vw;
    text-align: center;
    background-color: #23266f;
    color: #E1E4F5;
    min-width: 60%;
    border-radius: 15px;
}
.single-comment__popup-title {
    font-size: 20px;
    margin-bottom: 3vh;
}
/* End of post comment section */

@media (max-width: 992px) {
    .single-content__text-p__images-image-single {
        max-width: 390px;
        height: 250px;
    }
    .single-content__text-p__images--double {
        flex-wrap: wrap;
        justify-content: center;
        gap: 20px;
    }
    .single-meta__nav {
        padding: 20px 0;
    }
    .single-meta__nav-link a:last-of-type,
    .single-meta__nav-link__title > span {
        display: none;
    }
    .single-meta__nav-link__title {
        pointer-events: all;
    }
    .comment-form {
        grid-template-columns: 1fr;
    }
    .comment-form-comment {
        grid-row-start: 3;
    }
    .comment-form-comment #comment,
    .comment-form input:not([type='checkbox']) {
        display: block;
        min-width: 100%;
    }
    .single-comment__comments-items {
        justify-content: space-between;
    }
    .single-comment__comments-text {
        line-height: 21px;
    }
}
@media (max-width: 768px) {
    .single-content__title {
        font-size: 24px;
        line-height: 30px;
    }
    .single-meta__nav-link__title,
    .comment-reply-title {
        font-size: 18px;
    }
    .single-gallery .gallery {
        grid-template-columns: auto auto;
    }
    .single-gallery .gallery-item img {
        max-width: unset;
        height: 250px;
    }
    .single-content__text-p__video iframe {
        max-width: 80vw;
        height: 25vh;
    }
    .single-comment__comments-items {
        display: initial;
    }
    .single-comment__comments-item {
        max-width: unset;
        max-height: 200px;
        margin-bottom: 20px;
    }
    .single-comment__comments-text {
        height: 65px;
        -webkit-line-clamp: 3;
    }
}
@media (max-width: 576px) {
    .single-content__meta {
        gap: 10px;
    }
    .single-content__meta-item p {
        font-size: 12px;
        line-height: 16px;
    }
    .single-content__image {
        height: 350px;
    }
    .single-gallery .gallery {
        grid-template-columns: auto;
        justify-items: center;
    }
}
@media (max-width: 440px) {
    .single-content__meta-item p,
    .section__post-views{
        font-size: 11px;
        font-weight: 400;
    }
    .single-meta__nav-link__title {
        font-size: 14px;
    }
    .single-comment__comments-more::before {
        right: 20%;
    }
}